# Uses of Interface
com.sun.source.tree.TypeParameterTree

Packages that use TypeParameterTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of TypeParameterTree in com.sun.source.tree

  Methods in com.sun.source.tree that return types with arguments of type TypeParameterTree
  Modifier and Type
  Method
  Description
  `List<? extends TypeParameterTree>`
  ClassTree.`getTypeParameters()`
  Returns any type parameters of this type declaration.
  `List<? extends TypeParameterTree>`
  MethodTree.`getTypeParameters()`
  Returns the type parameters of the method being declared.
  Methods in com.sun.source.tree with parameters of type TypeParameterTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitTypeParameter(TypeParameterTree node, P p)`
  Visits a `TypeParameterTree` node.

- ## Uses of TypeParameterTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type TypeParameterTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitTypeParameter(TypeParameterTree node, P p)`
  Visits a `TypeParameterTree` node.
  `R`
  TreeScanner.`visitTypeParameter(TypeParameterTree node, P p)`
  Visits a `TypeParameterTree` node.